#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Carp
%define		pnam	Clan
Summary:	Carp::Clan - report errors from perspective of caller of a "clan" of modules
Summary(pl.UTF-8):	Carp::Clan - zgłaszanie błędów z perspektywy wywołującego "klan" modułów
Name:		perl-Carp-Clan
Version:	6.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Carp/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	34fe04102374516ef7a105375b95ffde
URL:		http://search.cpan.org/dist/Carp-Clan/
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.40}
BuildRequires:	rpm-perlprov >= 4.1-13
Conflicts:	perl-Bit-Vector < 6.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module reports errors from the perspective of the caller of a
"clan" of modules, similar to "Carp.pm" itself.

%description -l pl.UTF-8
Moduł zgłasza błędy z perspektywy wykonywującego moduł, podobnie jak
Carp.pm.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Carp/Clan.pm
%{_mandir}/man3/Carp::Clan.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Carp-Clan.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 4450101
- up to 6.08

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 8ec3d2d
- files cleanup

* Mon Oct 26 2009 amateja <amateja@pld-linux.org> f80ba4d
- updated to 6.04

* Sat Apr 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 4aec354
- unified

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 19877cc
- up to 6.00

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1e5195c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c1ceea7
- converted to UTF-8

* Sun May 08 2005 Paweł Sikora <pluto@pld-linux.org> c432e0b
- release 3 for Th.

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c065abb
- formatting

* Tue Nov 02 2004 ankry <ankry@pld-linux.org> 116bd31
- rel. 2

* Tue Nov 02 2004 Jakub Bogusz <qboosh@pld-linux.org> e278bfc
- added docs, Conflicts: perl-Bit-Vector < 6.4 (which included Carp::Clan)

* Sat Oct 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 12125d5
- URL

* Sat Oct 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 67b4998
- summaries

* Sun Oct 10 2004 undefine <undefine@pld-linux.org> d344cf7
- initital pld version

